Skip to main content
Welcome to the preview portal — This is an early release of the new Doc Hub experience, with more content coming soon.

Pre-Authorizations


A pre-authorization enables you to authorize a payment when the final amount is unknown. The system places the funds on hold until you request a follow-up transaction. Pre-authorizations are typically used for lodging, auto rental, e-commerce, and restaurant transactions.

When you have a specific merchant category code (MCC) assigned to your account, you are allowed to capture up to 20% more than the cumulatively authorized amount on Visa, Diners Club, Discover, and JCB cards. Contact your account manager to have your account enabled for this option.

For a pre-authorization:

  • The authorization amount is greater than zero.
  • Submit the authorization for capture within 30 calendar days of its request.
  • When you do not capture the authorization, reverse it. In the US, Canada, Latin America, and Asia Pacific, Mastercard charges an additional fee for a pre-authorization that is not captured and not reversed. In Europe, Russia, Middle East, and Africa, Mastercard charges fees for all pre-authorizations.
  • Chargeback protection is in effect for 30 days after the authorization.

Supported Processors

  • Elavon Americas
  • FDC Nashville Global
  • Chase Paymentech Solutions
  • Streamline
  • Worldpay VAP

Processor-Specific Information

Visa Platform Connect

All supported card types can process pre-authorizations.

FDC Nashville Global Merchant Category Codes

When your business signs up with , assigns your account a merchant category code (MCC) based on your primary business type. sends this MCC to the card networks with every transaction you process. If you process a transaction that is unrelated to your usual goods or services, include the merchantInformation.categoryCode field and set it to the relevant MCC. and FDC Nashville Global do not validate the MCC you send. Using an incorrect MCC can result in increased decline rates, interchange downgrades, or fines. To verify the correct MCC, contact your account manager.

Endpoints

POST /pts/v2/payments

POST /pts/v2/payments

POST /pts/v2/payments

POST /pts/v2/payments

POST /pts/v2/payments

Pre-Authorization Examples

Standard Example

{  "clientReferenceInformation" : {    "code" : "Pre-Auth"  },  "orderInformation" : {    "billTo" : {      "country" : "US",      "lastName" : "Doe",      "address1" : "201 S. Division St.",      "postalCode" : "48104-2201",      "locality" : "Ann Arbor",      "administrativeArea" : "MI",      "firstName" : "Joan",      "phoneNumber" : "999999999",      "email" : "[email protected]"    },    "amountDetails" : {      "totalAmount" : "100.00",      "currency" : "usd"    }  },  "paymentInformation" : {    "card" : {      "expirationYear" : "2030",      "number" : "CARD_NUMBER",      "securityCode" : "123",      "expirationMonth" : "12",      "type" : "001"    }  },  "processingInformation": {    "authorizationOptions": {      "authIndicator": "0"    }  }}
{  "_links" : {    "authReversal" : {      "method" : "POST",      "href" : "/pts/v2/payments/7709386742016723603091/reversals"    },    "self" : {      "method" : "GET",      "href" : "/pts/v2/payments/7709386742016723603091"    },    "capture" : {      "method" : "POST",      "href" : "/pts/v2/payments/7709386742016723603091/captures"    }  },  "clientReferenceInformation" : {    "code" : "Pre-Auth"  },  "id" : "7709386742016723603091",  "orderInformation" : {    "amountDetails" : {      "authorizedAmount" : "100.00",      "currency" : "usd"    }  },  "paymentAccountInformation" : {    "card" : {      "type" : "001"    }  },  "paymentInformation" : {    "tokenizedCard" : {      "type" : "001"    },    "card" : {      "type" : "001"    }  },  "pointOfSaleInformation" : {    "terminalId" : "04980992"  },  "processorInformation" : {    "paymentAccountReferenceNumber" : "V0010013018036776997406844475",    "merchantNumber" : "6817027800",    "approvalCode" : "100",    "cardVerification" : {      "resultCodeRaw" : "3",      "resultCode" : "2"    },    "merchantAdvice" : {      "code" : "00",      "codeRaw" : "0"    },    "networkTransactionId" : "123456789012345",    "transactionId" : "123456789012345",    "responseCode" : "0",    "avs" : {      "code" : "U",      "codeRaw" : "00"    }  },  "status" : "AUTHORIZED",  "submitTimeUtc" : "2026-02-12T23:24:34Z"}
{  "clientReferenceInformation": {    "code": "TC50171_3"  },  "errorInformation": {    "reason": "PROCESSOR_ERROR",    "message": "Invalid account"  },  "id": "6583553837826789303954",  "paymentInsightsInformation": {    "responseInsights": {      "categoryCode": "01",      "category": "ISSUER_WILL_NEVER_APPROVE"    }  },  "pointOfSaleInformation": {    "amexCapnData": "1009S0600100"  },  "processorInformation": {    "systemTraceAuditNumber": "004544",    "merchantNumber": "1231231222",    "networkTransactionId": "431736869536459",    "transactionId": "431736869536459",    "responseCode": "111",    "avs": {      "code": "Y",      "codeRaw": "Y"    }  },  "status": "DECLINED"}

Required Fields

Use these required fields for processing a pre-authorization.

Default Required Fields

FieldDescription
orderInformation.amountDetails.currency
orderInformation.amountDetails.totalAmount—
orderInformation.billTo.address1—
orderInformation.billTo.administrativeArea—
orderInformation.billTo.country—
orderInformation.billTo.email—
orderInformation.billTo.firstName—
orderInformation.billTo.lastName—
orderInformation.billTo.locality—
orderInformation.billTo.postalCode—
paymentInformation.card.expirationMonth—
paymentInformation.card.expirationYear—
paymentInformation.card.number—
processingInformation.authorizationOptions.authIndicatorSet the value to 0.

Country-Specific Required Fields

Use these country-specific required fields to process a pre-authorization.

Argentina

FieldDescription
merchantInformation.taxIdRequired for Mastercard transactions.
merchantInformation.transactionLocalDateTimeRequired in Argentina when the time zone is not included in your account. Otherwise, this field is optional.

Brazil

FieldDescription
paymentInformation.card.sourceAccountTypeRequired for combo card transactions.
paymentInformation.card.sourceAccountTypeDetailsRequired for combo card line-of-credit and prepaid-card transactions.

Chile and Paraguay

FieldDescription
merchantInformation.taxIdRequired for Mastercard transactions.

Egypt

FieldDescription
paymentInformation.card.cardTypeRequired for Meeza transactions. Set the value to 067.
merchantInformation.merchantDescriptor.countryRequired for Meeza transactions. Set the value to EG.

Saudi Arabia

FieldDescription
processingInformation.authorizationOptions.transactionModeRequired only for merchants in Saudi Arabia.

Taiwan

FieldDescription
paymentInformation.card.hashedNumberRequired only for merchants in Taiwan.

Last published: October 28, 2026

Not available for your audience

This page isn't available for your current audience selection.